@LICENCE@

#ifndef @HEADDEF@_H
#define @HEADDEF@_H

#include <ActionExtension.h>

class @EXTENSIONCLASSNAME@ : public camitk::ActionExtension {
    Q_OBJECT
    Q_INTERFACES(camitk::ActionExtension);
    Q_PLUGIN_METADATA(IID "fr.imag.camitk.@EXTENSIONNAME@.action.@EXTENSIONCLASSNAME@")

public:
    /// Constructor
    @EXTENSIONCLASSNAME@() : ActionExtension() {};

    /// Destructor
    virtual ~@EXTENSIONCLASSNAME@() = default;

    /// Method returning the action extension name
    virtual QString getName() const override {
        return "@EXTENSIONNAME@";
    };

    /// Method returning the action extension description
    virtual QString getDescription() const override {
        return "@EXTENSIONDESCRIPTION@";
    };

    /// initialize all the actions
    virtual void init() override;

};

#endif // @HEADDEF@_H

